Makes
GET /api/makes/v2
Section titled “GET /api/makes/v2”Returns vehicle makes (brands) available in the dataset. The demo dataset covers makes that sold vehicles between 2015–2020. To access makes from 1900 to today, subscribe and include a valid JWT.
Sample Request
Section titled “Sample Request”curl "https://carapi.app/api/makes/v2" \ -H "Authorization: Bearer YOUR_JWT_TOKEN_HERE"const response = await fetch('https://carapi.app/api/makes/v2', { headers: { 'Authorization': `Bearer ${jwt}` }});
const data = await response.json();console.log('Makes:', data);import requests
headers = { 'Authorization': f'Bearer {jwt}'}
response = requests.get( 'https://carapi.app/api/makes/v2', headers=headers)
data = response.json()print('Makes:', data)use GuzzleHttp\Client;
$client = new Client();
$response = $client->get('https://carapi.app/api/makes/v2', [ 'headers' => [ 'Authorization' => 'Bearer YOUR_JWT_TOKEN_HERE', ],]);
$data = json_decode($response->getBody(), true);print_r($data);$ch = curl_init();curl_setopt($ch, CURLOPT_URL, 'https://carapi.app/api/makes/v2');curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);curl_setopt($ch, CURLOPT_HTTPHEADER, [ 'Authorization: Bearer YOUR_JWT_TOKEN_HERE',]);
$response = curl_exec($ch);curl_close($ch);
$data = json_decode($response, true);print_r($data);Sample Response
Section titled “Sample Response”{ "collection": { "url": "/api/makes/v2?year=2020", "count": 45, "pages": 1, "total": 45, "next": "", "prev": "", "first": "/api/makes/v2?year=2020", "last": "" }, "data": [ {"id": 1, "name": "Acura"}, {"id": 24, "name": "Alfa Romeo"}, {"id": 44, "name": "Aston Martin"}, {"id": 2, "name": "Audi"}, {"id": 25, "name": "Bentley"}, {"id": 3, "name": "BMW"}, {"id": 56, "name": "Bugatti"}, {"id": 4, "name": "Buick"}, {"id": 5, "name": "Cadillac"}, {"id": 6, "name": "Chevrolet"}, {"id": 26, "name": "Chrysler"}, {"id": 27, "name": "Dodge"}, {"id": 46, "name": "Ferrari"}, {"id": 28, "name": "FIAT"}, {"id": 29, "name": "Ford"}, {"id": 7, "name": "Genesis"}, {"id": 8, "name": "GMC"}, {"id": 9, "name": "Honda"}, {"id": 10, "name": "Hyundai"}, {"id": 11, "name": "INFINITI"}, {"id": 12, "name": "Jaguar"}, {"id": 30, "name": "Jeep"}, {"id": 31, "name": "Karma"}, {"id": 13, "name": "Kia"}, {"id": 32, "name": "Lamborghini"}, {"id": 14, "name": "Land Rover"}, {"id": 33, "name": "Lexus"}, {"id": 15, "name": "Lincoln"}, {"id": 45, "name": "Lotus"}, {"id": 35, "name": "Maserati"}, {"id": 16, "name": "Mazda"}, {"id": 36, "name": "McLaren"}, {"id": 37, "name": "Mercedes-Benz"}, {"id": 17, "name": "MINI"}, {"id": 18, "name": "Mitsubishi"}, {"id": 19, "name": "Nissan"}, {"id": 20, "name": "Polestar"}, {"id": 38, "name": "Porsche"}, {"id": 39, "name": "Ram"}, {"id": 41, "name": "Rolls-Royce"}, {"id": 21, "name": "Subaru"}, {"id": 42, "name": "Tesla"}, {"id": 22, "name": "Toyota"}, {"id": 43, "name": "Volkswagen"}, {"id": 23, "name": "Volvo"} ]}Filtering
Section titled “Filtering”curl "https://carapi.app/api/makes/v2?year=2020" \ -H "Authorization: Bearer YOUR_JWT_TOKEN_HERE"const params = new URLSearchParams({ year: '2020' });
const response = await fetch(`https://carapi.app/api/makes/v2?${params}`, { headers: { 'Authorization': `Bearer ${jwt}` }});
const data = await response.json();console.log('Makes:', data);import requests
headers = {'Authorization': f'Bearer {jwt}'}params = {'year': '2020'}
response = requests.get( 'https://carapi.app/api/makes/v2', headers=headers, params=params)
data = response.json()print('Makes:', data)use GuzzleHttp\Client;
$client = new Client();
$response = $client->get('https://carapi.app/api/makes/v2', [ 'headers' => [ 'Authorization' => 'Bearer YOUR_JWT_TOKEN_HERE', ], 'query' => [ 'year' => '2020', ],]);
$data = json_decode($response->getBody(), true);print_r($data);$url = 'https://carapi.app/api/makes/v2?' . http_build_query(['year' => '2020']);
$ch = curl_init();curl_setopt($ch, CURLOPT_URL, $url);curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);curl_setopt($ch, CURLOPT_HTTPHEADER, [ 'Authorization: Bearer YOUR_JWT_TOKEN_HERE',]);
$response = curl_exec($ch);curl_close($ch);
$data = json_decode($response, true);print_r($data);